﻿using System.Windows.Forms;
using SampleApplication.Data;

namespace SampleApplication.UIControl
{
	public partial class Sample1SearchControl : UserControl
	{
		public Sample1SearchControl()
		{
			InitializeComponent();
		}

		public void ClearSearchCondition()
		{
			this.姓SampleTextBox.Text = string.Empty;
			this.名SampleTextBox.Text = string.Empty;
			this.ユーザー名SampleTextBox.Text = string.Empty;
			this.都道府県ComboBox.Text = string.Empty;
			this.市町村SampleTextBox.Text = string.Empty;
			this.電話番号SampleTextBox.Text = string.Empty;
		}

		public ユーザーDataSet.ユーザーSearchCondition GetSearchCondition()
		{
			return new ユーザーDataSet.ユーザーSearchCondition (
				this.姓SampleTextBox.Text,
				this.名SampleTextBox.Text,
				this.ユーザー名SampleTextBox.Text,
				this.都道府県ComboBox.Text,
				this.市町村SampleTextBox.Text,
				this.電話番号SampleTextBox.Text
			);
		}
	}
}
