﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using SampleApplication.Data;
using SampleApplication.DataHelper;

namespace SampleApplication.UIControl
{
	public partial class Sample1ListControl : UserControl
	{
		public Sample1ListControl()
		{
			InitializeComponent();
		}

		public void RebindBindingSource()
		{
			this.ユーザーSampleDataGridView.DataSource = this.ユーザーBindingSource;
		}

		public void FillTable()
		{
			this.ユーザーTableAdapter.FillTable(this.ユーザーDataSet.ユーザー);
		}

		public ユーザーDataSet.ユーザーRow GetCurrentRow()
		{
			return (ユーザーDataSet.ユーザーRow)DataRowHelper.GetCurrentRow(this.ユーザーSampleDataGridView);
		}

		public ユーザーDataSet.ユーザーDataTableKeys GetCurrentKeys()
		{
			ユーザーDataSet.ユーザーRow row = GetCurrentRow();
			if (row == null) return null;
			return (ユーザーDataSet.ユーザーDataTableKeys)this.ユーザーTableAdapter.GetKeys(row);
		}

		public void Search(ユーザーDataSet.ユーザーSearchCondition condition)
		{
			this.ユーザーTableAdapter.FillTableBySearch(this.ユーザーDataSet.ユーザー, condition);
		}

		private void ユーザーBindingSource_PositionChanged(object sender, EventArgs e)
		{
			//this.ユーザーBindingSource.CancelEdit();
		}
	}
}
